TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

HasGNB ( res^pad R, elt-ord^rat n, elt-ord^rat t ) -> elt-alg^boo

### Description

<shortdoc> Determines whether R has an unramified extension of degree n with a Gaussian normal basis of type t.. </shortdoc>

### Examples

x_z5 := pAdicRing(5,30);x_r5 := Quotient(x_z5, 5^10); HasGNB(x_r5,2,1);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack